function[]=plot_complex(f,y,c,fmin,fmax,t_string)

    yabs=max([ max(abs(y)) max(abs(c))  ]);

    [ymax,yTT,ytt,jflag]=ytick_linear_double_sided(yabs);    


    figure(10);
    
    subplot(2,1,1)
    semilogx(f,real(y),f,real(c));
    legend('Curve-fit','Input');
    ylabel('Real');
    grid on;
    [xtt,xTT,iflag]=xtick_label(fmin,fmax);
    title(t_string);
    
    if(iflag==1)
        set(gca,'xtick',xtt);
        set(gca,'XTickLabel',xTT);
        
        fmin=min(xtt);
        fmax=max(xtt);     
    end
    if(jflag==1)
        set(gca,'ytick',ytt);
        set(gca,'YTickLabel',yTT);
        ylim([min(ytt),max(ytt)]);
    end        
    
    %
    xlim([fmin,fmax]);
    
    subplot(2,1,2)
    semilogx(f,imag(y),f,imag(c));
    legend('Curve-fit','Input');   
    ylabel('Imag');
    xlabel('Frequency (Hz)');
    grid on;
    
    [xtt,xTT,iflag]=xtick_label(fmin,fmax);
    
    
    if(iflag==1)
        set(gca,'xtick',xtt);
        set(gca,'XTickLabel',xTT);
        
        fmin=min(xtt);
        fmax=max(xtt);     
    end
    
    %
    xlim([fmin,fmax]);

    if(jflag==1)
        set(gca,'ytick',ytt);
        set(gca,'YTickLabel',yTT);
        ylim([min(ytt),max(ytt)]);
    end        
    

end


